Subject: Re: [PATCH] Marvell Libertas 8388 802.11b/g USB driver (v2)

From: "John W. Linville" <[email-masked]>
Date: Mon, 5 Feb 2007 09:01:47 -0500

On Sat, Feb 03, 2007 at 08:43:49PM -0200, Marcelo Tosatti wrote:
> On Sat, Jan 27, 2007 at 02:53:07AM +0100, Arnd Bergmann wrote:
> > On Tuesday 16 January 2007 19:55, Marcelo Tosatti wrote:

> > > +#define	ENTER()			dprintk(1, "Enter: %s, %s:%i\n", __FUNCTION__, \
> > > +							__FILE__, __LINE__)
> > > +#define	LEAVE()			dprintk(1, "Leave: %s, %s:%i\n", __FUNCTION__, \
> > > +							__FILE__, __LINE__)
> > 
> > As mentioned, these should probably just be removed
> 
> I disagree, entry/exit points have been shown to be useful in practice
> to identify firmware problems on field.

I'm not too fond of the ENTER/LEAVE stuff either.  But, I do sympathize
that they _can_ be useful in certain circumstances/workflows/whatever.

Is there an official "party line" on this documented somewhere
(i.e. CodingStyle or elsewhere)?  A quick search doesn't reveal one
to me.

John
-- 
John W. Linville
[email-masked]